<?php

/**
 * usuario actions.
 *
 * @package    regalias
 * @subpackage usuario
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class usuarioActions extends sfActions
{
/**
     * Metodo para reconocer si existe el usuario en la tabla de terceros
     *
     * @param sfWebRequest $request
     */
    public function executeList(sfWebRequest $request) {

        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");



        /*
         * obtener variables del request
         */
        $cia = $request['id_cia'];
        $nitocc = $request['nitocc'];



        //sentencia sql para consultar usuario

        $sql = <<<EOD
select * from INTERCEROS
where NUM_DOC = '$nitocc'
EOD;

        //ejecutar sql
        $records = CN_TABLE::executeSQL($sql);

        //Valida si se obtuvo valores en la consulta
        if (count($records) > 0) {
            $records[0]['acceso'] = true;
            $this->list_data = $records;
        } else {
            $this->list_data = array(
                '0' => array(
                    'id_mae_ter' => null,
                    'num_doc' => $nitocc,
                    'pnombre' => null,
                    'email' => null,
                    'acceso' => false
                )
            );
        }

        //totales de filas y de consulta
        $this->logMessage('record_count = ' . count($records));
    }
}
